//+------------------------------------------------------------------+
//|                                            Opening Day Price.mq4 |
//|                                           Copyright  2008, Goen |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Goen"

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Magenta
#property indicator_color2 Yellow
#property indicator_color3 DarkOrange

//---- buffers 
double OpenDay[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   SetIndexStyle(0,DRAW_LINE,0,2);
   SetIndexBuffer(0,OpenDay);
   IndicatorShortName("Opening Day Price,");  
  }
//----
   return(0);
 
//+------------------------------------------------------------------+
//| MTF Moving Average                                   |
//+------------------------------------------------------------------+
int start()
  {
   datetime TimeArray[];
   int    i,shift,limit,y=0,counted_bars=IndicatorCounted();
    
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),1440);    
   limit=Bars-counted_bars+1440/Period();
   for(i=0,y=0;i<limit;i++)
   {
     if (Time[i]<TimeArray[y]) y++; 
     OpenDay[i]  = iOpen(NULL,PERIOD_D1,y); 
   }  
   return(0);
  }
//+------------------------------------------------------------------+